Bug 1652407 - Getting "Kibana returning Courier Fetch Error" while accessing kibana
Summary: Getting "Kibana returning Courier Fetch Error" while accessing kibana
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.9.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-22 01:58 UTC by Miheer Salunke
Modified: 2019-02-20 14:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-20 14:29:29 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 6 Jeff Cantrill 2019-01-23 14:31:34 UTC
In #c4 we did ask for:

> [2018-11-03 00:03:12,478][WARN ][rest.suppressed          ] path: /_bulk,
> params: {}
> com.fasterxml.jackson.core.JsonParseException: Invalid UTF-8 start byte 0x92
>  at [Source: [B@ffa8004; line: 1, column: 132]
> 	at
> com.fasterxml.jackson.core.JsonParser._constructError(JsonParser.java:1702)
> 
> 

I can only imagine this is coming from either the ES nodes trying to seed itself or the multi-tenant plugin attempting to read/write the ACL documents and there being an issue.  We would require the entire stack trace to know the source.

Also, are they able to get ANY requests through via Kibana?  Maybe the seeding failed.  You could try to reseed the permissions:

oc exec -c elasticsearch $pod -- es_seed_acl


Note You need to log in before you can comment on or make changes to this bug.